'************************************************
' File:    ShowImaging.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to use Eastman Kodak Imaging
' as a COM server show and convert an image.
'************************************************
Option Explicit

Const BEST_FIT = 0	' Fits image to window size
Const FIT_TO_WIDTH = 1	' Fits image to window width
Const FIT_TO_HEIGHT = 2	' Fits image to window height
Const INCH_TO_INCH = 3	' Maintains the relative size 

' Fileformats
Const wiFileTypeTIFF = 1 ' Tag Image File Format
Const wiFileTypeAWD = 2  ' At Work Document (MS Fax)
Const wiFileTypeBMP = 3  ' Microsoft Bitmap Format
Const wiFileTypePCX = 4  ' ZSoft PCX
Const wiFileTypeDCX = 5  ' modfied ZSoft PCX for Fax
Const wiFileTypeJPG = 6  ' JPEG
Const wiFileTypeXIF = 7  ' Xerox image documents
Const wiFileTypeGIF = 8  ' Graphic Interchange Format
Const wiFileTypeWIFF = 9 ' Wang Image File Format

Const title = "Born's Imaging Tester"

Const file = "Test.bmp"
Const file1 = "Test.tif"

' define object variable for reference to Internet Explorer
Dim oApp                ' Imaging Application object   
Dim oImg                ' image object

Dim ImgType 
Dim text, tmp

ImgType = Array ("unknown","Tiff", "Awd", "Bmp", _
                 "PCX", "DCX", "JPG", "XIF", _
                 "GIF", "WIFF")

' create object reference to Imaging Application object
Set oApp = CreateObject ("Imaging.Application")

' Set the toolbars and other properties
oApp.ImagingToolBarVisible=0    ' no Toolbar
oApp.ScanToolBarVisible=0       ' no Scan Toolbar
oApp.StatusBarVisible=1         ' Statusbar
oApp.ToolBarVisible=1           ' Toolbar
oApp.Edit = 1                   ' editable
oApp.FitTo BEST_FIT             ' Image fit

text = "Application: " & oApp.Name & vbCrLf & _
       "Path: " & oApp.Path & vbCrLf & _
       "Zoom: " & oApp.Zoom & vbCrLf '& _ 
'       "Scanner: " & oApp.ScannerIsAvailable & vbCrLf 

MsgBox text, vbInformation + vbSystemModal, Title

' Now create the viewer object
Set oImg = oApp.CreateImageViewerObject (1)
oImg.Open GetPath() & file      ' Load bmp image 

' retrieve Image properties
text = "File: " & GetPath & file & vbCrLf & _
       "Filetype: " & ImgType (oImg.FileType) & vbCrLf & _
       "Height: " & oApp.Height & vbCrLf & _
       "Save Image as TIFF?"

tmp = MsgBox (text, vbYesNo + vbSystemModal, Title)

If tmp = vbYes Then        ' save file as Tiff
 oImg.SaveAs GetPath() & file1, wiFileTypeTIFF 
 MsgBox "File " & GetPath() & file1 & " saved", _
         vbSystemModal, Title
End If

If MsgBox ("Rotate image?", vbYesNo + vbSystemModal, _
         Title) = vbYes Then     ' rotate image
  oImg.RotateAll
End If

If MsgBox ("Print image?", vbYesNo + vbSystemModal, _
         Title) = vbYes Then     ' rotate image
  oImg.Print
End If

WScript.Echo "Close Imaging and terminate"
oApp.Quit                     ' Close Imaging
WScript.Quit                  ' Close Script

' ### Helper ####
Function GetPath()
' Retrieve the script path
 DIM path
 path = WScript.ScriptFullName  ' Script name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
' End